Name:           gipfel
Version:        0.3.2
Release:        20%{?dist}
Summary:        A tool to find the names of mountains or POI on a picture

License:        GPLv3+
URL:            http://www.ecademix.com/JohannesHofmann/gipfel.html
Source0:        http://www.ecademix.com/JohannesHofmann/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png
Patch0:		    %{name}-linking.patch
Patch1:         %{name}-%{version}-fltk.patch

BuildRequires:  fltk-devel
BuildRequires:  libtiff-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  exiv2-devel
BuildRequires:  gsl-devel

BuildRequires:  desktop-file-utils

%description
gipfel is a tool to find the names of mountains or points of interest
on a picture. It uses a database containing names and GPS data. With
the given viewpoint (the point from which the picture was taken) and
two known mountains on the picture, it can compute all parameters
needed to compute the positions of other mountains on the picture.
gipfel can also generate (stitch) panorama images. 

%prep
%setup -q
%patch0 -p1 -b .linking
%patch1 -p1 -b .fltk

# Convert to utf-8
for file in README; do
    mv $file timestamp
    iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
    touch -r timestamp $file
done

%build
%configure LIBS="-ljpeg"
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -Dp -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png

%files 
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Mon Aug 05 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.2-20
- Updated spec file
- Fix for FTBFS (#992377)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 0.3.2-17
- rebuild due to "jpeg8-ABI" feature drop

* Fri Dec 21 2012 Adam Tkac <atkac redhat com> - 0.3.2-16
- rebuild against new libjpeg

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 10 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.2-14
- Rebuild for libtiff

* Wed May 02 2012 Rex Dieter <rdieter@fedoraproject.org> - 0.3.2-13
- rebuild (exiv2)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 14 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.3.2-11
- rebuild (exiv2)

* Thu Jun 16 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.3.2-10
- Add gipfel-0.3.2-fltk.patch (Fix FTBS).
- Pass LIBS=-ljpeg to configure (Fix FTBS).

* Sun May 29 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.2-9
- rebuild (fltk)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 27 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.2-7
- rebuild (exiv2)

* Sun Jan 02 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.3.2-6
- rebuild (exiv2)

* Mon May 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.3.2-5 
- rebuild (exiv2)

* Mon Mar 15 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.2-4
- Added patch to fix DSOLinking (#564681)

* Mon Jan 04 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.3.2-3 
- rebuild (exiv2)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 27 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.2-1
- Updated to new upstream version 0.3.2

* Sat Apr 11 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-1
- Updated to new upstream version 0.3.1

* Thu Apr 09 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.0-1
- Updated to new upstream version 0.3.0
- Added exiv2-devel as a BR

* Sun Apr 05 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.9-1
- Updated to new upstream version 0.2.9
- Added icon file

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 05 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.6-2
- Fixed license tag, it is GPLv3+
- Switched to one type of buildroot
- Modified .desktop  file

* Thu Feb 05 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.6-1
- Updated to upstream version 0.2.6
- Added --docdir to configure

* Thu Jan 15 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.5-2
- Fixed directory ownership

* Sat Jan 10 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.5-1
- Initial package for Fedora

